> ## Documentation Index
> Fetch the complete documentation index at: https://mint-a324815e.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询项目币种

##### 查询项目支持的币种信息

### 接入API

##### POST /api/v1/coins

##### 查询项目支持币种信息，币种相关信息可在其他接口进行使用。

### 请求

### 请求参数

| 名称 | 类型 | 是否必须 | 描述 |
| :- | :- | :- | :- |
| pid | integer(int64) | 是 | 项目编号 |
| nonce | string | 是 | 6位随机字符串 |
| timestamp | integer(int64) | 是 | 时间戳 |
| sign | string | 是 | 签名 |

##### 请求示例

```bash theme={null}
{
    "pid": 1382528827416576,
    "nonce": "m8jisx",
    "timestamp": 1687848653294,
    "sign": "cebd2bfd56766f1143dc40d078b64dac"
}
```

### 返回

### 返回结果

| 名称 | 类型 | 描述 |
| :- | :- | :- |
| code | string | 返回码 |
| msg | string | 返回信息 |
| data | object | 返回数据 |

##### 返回数据`data`对象

| 名称 | 类型 | 描述 |
| :- | :- | :- |
| coin\_name | string | 币种名称 |
| msg | string | 返回信息 |
| token\_id | string | token编号，代币即是合约地址 |

##### 返回示例

```bash theme={null}
{
    "code": "00000",
    "msg": "ok",
    "data": {
        "payout_coins": [
            {
                "coin_name": "TRON#Shasta",
                "chain_id": "195",
                "token_id": "195"
            },
            {
                "coin_name": "Dogecoin",
                "chain_id": "3",
                "token_id": "3"
            }
        ],
        "address_coins": [
            {
                "coin_name": "TRON#Shasta",
                "chain_id": "195",
                "token_id": "195"
            },
            {
                "coin_name": "Dogecoin",
                "chain_id": "3",
                "token_id": "3"
            }
        ]
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.